com.atid.lib.module.barcode.ssi.type

## Enum BooklandISBNFormat

- java.lang.Object
- - java.lang.Enum<BooklandISBNFormat>
  - - com.atid.lib.module.barcode.ssi.type.BooklandISBNFormat

- All Implemented Interfaces:
    IEnumType, java.io.Serializable, java.lang.Comparable<BooklandISBNFormat>

      public enum BooklandISBNFormat
      extends java.lang.Enum<BooklandISBNFormat>
      implements IEnumType

  If Bookland EAN is enabled, select one of the following formats for Bookland data - Bookland ISBN-10 / Bookland ISBN-13

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ISBN10` The decoder reports Bookland data starting with 978 in traditional 10-digit format with the special Bookland check digit for backward-compatibility.
    `ISBN13` The decoder reports Bookland data (starting with either 978 or 979) as EAN-13 in 13-digit format to meet the 2007 ISBN-13 protocol.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()`
    `java.lang.String` | `toString()`
    `static BooklandISBNFormat` | `valueOf(int code)`
    `static BooklandISBNFormat` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static BooklandISBNFormat[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ISBN10

          public static final BooklandISBNFormat ISBN10

      The decoder reports Bookland data starting with 978 in traditional 10-digit format with the special Bookland check digit for backward-compatibility. Data starting with 979 is not considered Bookland in this mode.

    - #### ISBN13

          public static final BooklandISBNFormat ISBN13

      The decoder reports Bookland data (starting with either 978 or 979) as EAN-13 in 13-digit format to meet the 2007 ISBN-13 protocol.

  - ### Method Detail

    - #### values

          public static BooklandISBNFormat[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BooklandISBNFormat c : BooklandISBNFormat.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BooklandISBNFormat valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      Specified by:
        `getCode` in interface `IEnumType`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `IEnumType`
      Overrides:
        `toString` in class `java.lang.Enum<BooklandISBNFormat>`

    - #### valueOf

          public static BooklandISBNFormat valueOf(int code)